MeiroDocs

Customers' Event Counts

Required feature (one of):

Section: Group Customers' Event Counts. Base URL: https://instance_name.meiro.io/api/.

Customers' Event Counts [/customers/events/counts{?name_start,limit,offset,order_by,order_dir,show_hidden,load_full_structure}]

List All Event Counts [GET]

Required feature (one of):

  • data/dashboard

  • data/events

  • Parameters

    • name_start (string, optional) - Events' name start filter
    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • show_hidden (integer, optional) - Result will include hidden events if set to 1
    • load_full_structure (number, optional) - Full data structure return flag
  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "event_counts": [
        {
            "id": 100,
            "event_id": "1",
            "name": "filling name",
            "count": 45
        },
        {
            "id": 200,
            "event_id": "2",
            "name": "filling address",
            "count": 12
        }
    ],
    "selection_settings": {
        "name_start": null,
        "limit": 20,
        "offset": null,
        "order_by": "count",
        "order_dir": "DESC",
        "show_hidden": false
    }
}

On this page